Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`python`.`lockfile``

module documentation
(source)

Filesystem-based interprocess mutex.

Class | `FilesystemLock` | A mutex.
Function | `isLocked` | Determine if the lock of the given name is held or not.
Function | `unique` | Undocumented
Variable | `_windows` | Undocumented

def isLocked(name): (source)

Determine if the lock of the given name is held or not.

Parameters
name:`str` | The filesystem path to the lock to test
Returns
`bool` | True if the lock is held, False otherwise.

def unique(): (source)

Undocumented

_windows: `bool` = (source)

Undocumented